LibreOffice LibreOffice 6.0 SDK API Reference

Classes | Modules
HierarchyAccess.idl File Reference
`import "com/sun/star/container/XNameAccess.idl";`
`import "com/sun/star/container/XHierarchicalNameAccess.idl";`
`import "com/sun/star/container/XContainer.idl";`
`import "com/sun/star/beans/XExactName.idl";`
`import "com/sun/star/beans/XPropertySetInfo.idl";`
`import "com/sun/star/beans/XPropertyState.idl";`
`import "com/sun/star/beans/XMultiPropertyStates.idl";`

Go to the source code of this file.

## Classes
service | HierarchyAccess
| provides access to a hierarchy of descendant elements. More...

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::configuration
| Access to the tree of configuration data.